Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Class ChargesInformation3

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_01.ChargesInformation3

    public class ChargesInformation3
    extends java.lang.Object

Java class for ChargesInformation3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ChargesInformation3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="TtlChrgsAndTaxAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CurrencyAndAmount" minOccurs="0"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CurrencyAndAmount"/>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ChargeTypeChoice" minOccurs="0"/>
             <element name="Rate" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}PercentageRate" minOccurs="0"/>
             <element name="Br" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ChargeBearerType1Code" minOccurs="0"/>
             <element name="Pty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}BranchAndFinancialInstitutionIdentification3" minOccurs="0"/>
             <element name="Tax" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}TaxCharges1" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected CurrencyAndAmount` `amt`
`protected ChargeBearerType1Code` `br`
`protected BranchAndFinancialInstitutionIdentification3` `pty`
`protected java.math.BigDecimal` `rate`
`protected TaxCharges1` `tax`
`protected ChargeTypeChoice` `tp`
`protected CurrencyAndAmount` `ttlChrgsAndTaxAmt`

### Constructor Summary

Constructors
`ChargesInformation3()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CurrencyAndAmount` `getAmt()` Gets the value of the amt property.
`ChargeBearerType1Code` `getBr()` Gets the value of the br property.
`BranchAndFinancialInstitutionIdentification3` `getPty()` Gets the value of the pty property.
`java.math.BigDecimal` `getRate()` Gets the value of the rate property.
`TaxCharges1` `getTax()` Gets the value of the tax property.
`ChargeTypeChoice` `getTp()` Gets the value of the tp property.
`CurrencyAndAmount` `getTtlChrgsAndTaxAmt()` Gets the value of the ttlChrgsAndTaxAmt property.
`void` `setAmt​(CurrencyAndAmount value)` Sets the value of the amt property.
`void` `setBr​(ChargeBearerType1Code value)` Sets the value of the br property.
`void` `setPty​(BranchAndFinancialInstitutionIdentification3 value)` Sets the value of the pty property.
`void` `setRate​(java.math.BigDecimal value)` Sets the value of the rate property.
`void` `setTax​(TaxCharges1 value)` Sets the value of the tax property.
`void` `setTp​(ChargeTypeChoice value)` Sets the value of the tp property.
`void` `setTtlChrgsAndTaxAmt​(CurrencyAndAmount value)` Sets the value of the ttlChrgsAndTaxAmt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ttlChrgsAndTaxAmt

    protected CurrencyAndAmount ttlChrgsAndTaxAmt

#### amt

    protected CurrencyAndAmount amt

#### tp

    protected ChargeTypeChoice tp

#### rate

    protected java.math.BigDecimal rate

#### br

    protected ChargeBearerType1Code br

#### pty

    protected BranchAndFinancialInstitutionIdentification3 pty

#### tax

    protected TaxCharges1 tax

### Constructor Detail

#### ChargesInformation3

    public ChargesInformation3()

### Method Detail

#### getTtlChrgsAndTaxAmt

    public CurrencyAndAmount getTtlChrgsAndTaxAmt()

Gets the value of the ttlChrgsAndTaxAmt property.

Returns:
  possible object is `CurrencyAndAmount`

#### setTtlChrgsAndTaxAmt

    public void setTtlChrgsAndTaxAmt​(CurrencyAndAmount value)

Sets the value of the ttlChrgsAndTaxAmt property.

Parameters:
  `value` - allowed object is `CurrencyAndAmount`

#### getAmt

    public CurrencyAndAmount getAmt()

Gets the value of the amt property.

Returns:
  possible object is `CurrencyAndAmount`

#### setAmt

    public void setAmt​(CurrencyAndAmount value)

Sets the value of the amt property.

Parameters:
  `value` - allowed object is `CurrencyAndAmount`

#### getTp

    public ChargeTypeChoice getTp()

Gets the value of the tp property.

Returns:
  possible object is `ChargeTypeChoice`

#### setTp

    public void setTp​(ChargeTypeChoice value)

Sets the value of the tp property.

Parameters:
  `value` - allowed object is `ChargeTypeChoice`

#### getRate

    public java.math.BigDecimal getRate()

Gets the value of the rate property.

Returns:
  possible object is `BigDecimal`

#### setRate

    public void setRate​(java.math.BigDecimal value)

Sets the value of the rate property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getBr

    public ChargeBearerType1Code getBr()

Gets the value of the br property.

Returns:
  possible object is `ChargeBearerType1Code`

#### setBr

    public void setBr​(ChargeBearerType1Code value)

Sets the value of the br property.

Parameters:
  `value` - allowed object is `ChargeBearerType1Code`

#### getPty

    public BranchAndFinancialInstitutionIdentification3 getPty()

Gets the value of the pty property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification3`

#### setPty

    public void setPty​(BranchAndFinancialInstitutionIdentification3 value)

Sets the value of the pty property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification3`

#### getTax

    public TaxCharges1 getTax()

Gets the value of the tax property.

Returns:
  possible object is `TaxCharges1`

#### setTax

    public void setTax​(TaxCharges1 value)

Sets the value of the tax property.

Parameters:
  `value` - allowed object is `TaxCharges1`